SLHDSASigner (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.slhdsa

## Class SLHDSASigner

- java.lang.Object
- - org.bouncycastle.pqc.crypto.slhdsa.SLHDSASigner

- All Implemented Interfaces:
    MessageSigner

  Deprecated.
  use org.bouncycastle.crypto.signers.SLHDSASigner

      @Deprecated
      public class SLHDSASigner
      extends java.lang.Object
      implements MessageSigner

  SLH-DSA signer.

  This version is based on the 3rd submission with deference to the updated reference implementation on github as at November 9th 2021. This version includes the changes for the countermeasure for the long-message second preimage attack - see "https://github.com/sphincs/sphincsplus/commit/61cd2695c6f984b4f4d6ed675378ed9a486cbede" for further details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SLHDSASigner()` Deprecated. Base constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateSignature(byte[] message)` Deprecated. sign the passed in message (usually the output of a hash function).
    `void` | `init(boolean forSigning, CipherParameters param)` Deprecated. initialise the signer for signature generation or signature verification.
    `protected byte[]` | `internalGenerateSignature(byte[] message, byte[] optRand)` Deprecated.
    `protected boolean` | `internalVerifySignature(byte[] message, byte[] signature)` Deprecated.
    `boolean` | `verifySignature(byte[] message, byte[] signature)` Deprecated. verify the message message against the signature value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SLHDSASigner

          public SLHDSASigner()

      Deprecated.
      Base constructor.

  - ### Method Detail

    - #### init

          public void init(boolean forSigning,
                           CipherParameters param)

      Deprecated.
      Description copied from interface: `MessageSigner`
      initialise the signer for signature generation or signature verification.
      Specified by:
        `init` in interface `MessageSigner`
      Parameters:
        `forSigning` - true if we are generating a signature, false otherwise.
        `param` - key parameters for signature generation.

    - #### generateSignature

          public byte[] generateSignature(byte[] message)

      Deprecated.
      Description copied from interface: `MessageSigner`
      sign the passed in message (usually the output of a hash function).
      Specified by:
        `generateSignature` in interface `MessageSigner`
      Parameters:
        `message` - the message to be signed.
      Returns:
        the signature of the message

    - #### verifySignature

          public boolean verifySignature(byte[] message,
                                         byte[] signature)

      Deprecated.
      Description copied from interface: `MessageSigner`
      verify the message message against the signature value.
      Specified by:
        `verifySignature` in interface `MessageSigner`
      Parameters:
        `message` - the message that was supposed to have been signed.
        `signature` - the signature of the message

    - #### internalVerifySignature

          protected boolean internalVerifySignature(byte[] message,
                                                    byte[] signature)

      Deprecated.

    - #### internalGenerateSignature

          protected byte[] internalGenerateSignature(byte[] message,
                                                     byte[] optRand)

      Deprecated.